=== debian/changelog ===
elkcode (4.0.15-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:59:50 +0000

elkcode (4.0.15-2) unstable; urgency=medium

  * debian/patches/makeflags.patch: Link against libxcf90 as well.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Oct 2016 19:38:24 +0200

elkcode (4.0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.
  * debian/control (Standards-Version): Bumped to 3.9.6.
  * debian/control (Description): Updated.
  * debian/control (Elk/Suggests): Added xcrysden.
  * debian/patches/makefile_clean.patch: Updated to properly remove main
    executable on clean.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Oct 2016 10:38:05 +0200
