=== debian/changelog ===
elkcode (5.4.24-2) unstable; urgency=medium

  * debian/patches/testsuite_quick.patch: Use bash as interpreter, print
    testsuite output to stdout in addition to logfile and add 'set -o
    pipefail'.
  * debian/rules (override_dh_auto_test): Use bash to run testsuite.

 -- Michael Banck <mbanck@debian.org>  Thu, 10 Jan 2019 15:19:40 +0100

elkcode (5.4.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makefile_clean.patch: Refreshed.
  * debian/patches/makeflags.patch: Likewise.
  * debian/control (elk-lapw/Depends): Added mpi-default-bin (Closes: #918053).
  * debian/patches/makeflags.patch: Added MKL/OpenBLAS/BLIS stub files.
  * debian/tests: Add autopkgtests.
  * debian/patches/testsuite_quick.patch: Allow for external elk executable.

 -- Michael Banck <mbanck@debian.org>  Wed, 09 Jan 2019 19:34:48 +0100

elkcode (5.2.14-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 31 Dec 2018 16:30:09 +0100
