=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false sh ./tests_quick.sh)
+	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false bash ./tests_quick.sh)
 	for i in tests/test-*/test.log; do	\
 	  if [ -e $$i ]; then			\
 	    echo "Error for test $$i:";		\
